<?php

namespace Drupal\Tests\group_context_domain\Kernel;

use Drupal\Tests\group\Kernel\GroupKernelTestBase;

/**
 * Defines an abstract test base for group kernel tests.
 */
abstract class GroupContextDomainKernelTestBase extends GroupKernelTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['domain', 'group_context_domain'];

  /**
   * Creates a domain.
   *
   * @param array $values
   *   (optional) The values used to create the entity.
   *
   * @return \Drupal\domain\Entity\Domain
   *   The created domain entity.
   */
  protected function createDomain(array $values = []) {
    $storage = $this->entityTypeManager->getStorage('domain');
    $domain = $storage->create($values + [
      'id' => $this->randomMachineName(),
      'label' => $this->randomString(),
    ]);
    $storage->save($domain);
    return $domain;
  }

}
